function y = FN_filt2(x,nf);
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% FN_filt2
%   Berekent glijdend gemiddelde over nf punten van het
%   van een vector.
%   Te gebruiken voor de energie van een spectrum.
%   versie 2: driehoekig filter
%   6-10-02
%
%   versie 2: driehoekig filter
%
a       = 1;

% gewichtsfactoren:
shift   = floor(nf/2);
norm    = (nf-1)/2;
for i=-shift:shift
    b(i+shift+1) = 1-abs(i)/norm;
end
b = b/sum(b);

y    = filtfilt(b,a,x);
    
% einde FN_filt