function first1 = FN_lvmplot4(Ts,A1,Inparm,in_naam,first)
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% FN_lvmplot4
%   Menu to choose a plot format for a data file.
%   This function is not in use in Matlab 7, because the box
%   cannot be closed, Hkl, 25-Jan-05
%   version 4: time in separate vector
%   7-Dec-04
%
%
%					H. Klaasman
%   versie 4: tijd al in aparte vector, selectie tijd i.p.v. monsternummers
%   versie 3: met eenheden en na aftrek gemiddelde: niet operationeel
%   versie 2: bij sluiten figuur niet terugspringen naar menu
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% invoer:
%   Ts:          tijdvector
%   A1:         matrix met te plotten kanalen
%   Inparm:	structure met invoerparameters
%       dt:         tijdstap
%       plotstep:   stapgrootte bij plotten ingelezen punten
%       colt:       kanaal met de tijd (0 voor geen)
%	    col:	    vector met kolomnummers 
%   in_naam:    naam invoerbestand zonder padnaam
%   first:      0 voor eerste aanroep van een plotfunctie,
%               1 na eerste aanroep
%
% uitvoer:
%   first1:     1 als een plotfunctie is aangeroepen, anders 0
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

tekstp 	 = 'Enter the type of graph';
tekstp1  = 'each chanel in one graph, graphs queued in figures of 3 chans';
tekstp2  = 'more chanels in one graph';
tekstp3	 = 'cancel';
first1  = first;
verder3 = 1;
%while verder3==1
    k1 = menu(tekstp,tekstp1,tekstp2,tekstp3);

    switch k1
        case 1
	        %%%% plot kanalen:
            % met uiwait figuren: FN_plot18
            % zonder uiwait figuren: FN_plot21
 	        FN_plot25(Ts,A1,Inparm,in_naam,first1);	% zonder zoom
            first1 = 1;
                    
        case 2
            %%%% plot kanalen:
            % met uiwait figuren: FN_plot19
            % zonder uiwait figuren: FN_plot22
  	        FN_plot26(Ts,A1,Inparm,in_naam,first1);  
            first1 = 1;
                    
        case 3
            verder3 = 0;
	    otherwise
            verder3 = 0;
            
    end % switch k1        

%end     % while    

% EINDE FN_lvmplot4

