
folder E:\cdr\Matl_inst\Lab_process\Functions\

02-Jun-2005 13:48:21

%
% DISPER   Linear dispersion relation
%                                        (c) Albatros Flow Research, 1999
%          usage:   k  = disper(w,h,g)     or
%          
%                   k  = wave number             (2 * pi / wave length)
%                   w  = wave angular frequency  (2 * pi / wave period)
%                   h  = water depth
%                   g  = gravitational acceleration constant, optional (DEFAULT 9.81)
%
% FN_bin5
%            writes matrix to binary file with DOS name
%            version 5: matrix A selected from input data by FN_selectnw,
%                    no Inparm needed
%            23-Nov-04
%          
%          
%          
%
% FN_chsf4
%            Opens a file containing the last file path and asks
%            for a new file to be opened. The new path will be stored.
%            usage: [filename,pathname] = FN_chsf4(filt,boxheader)
%          
%            Version 4, filter added
%            10-Sep-03, changed: 26-Nov-03
%          
%
% FN_chsfile
%            Opens a file containing the last file path and asks
%            for a new file to be opened. The new path will be stored.
%            usage: [filename,pathname] = FN_chsfile(boxheader)
%          
%            Version 3, check path in file .\Tmp\path.txt added
%                Function not renamed because of many calls.
%            23-Jun-03, changed: 26-Nov-03
%
% FN_chsoutf
%            Opens a file containing the last file path and asks
%            for a new output file to be opened. The new path will be stored.
%            usage: [filename,pathname] = FN_choutf(boxheader)
%          
%            Version 3, check path in file .\Tmp\path.txt added
%                Function not renamed because of many calls.
%            23-Jun-03, changed: 26-Nov-03
%
% FN_chsoutf4
%            Opens a file containing the last file path and asks
%            for a new output file to be opened. The new path will be stored.
%            usage: [filename,pathname] = FN_chsoutf4(filt,boxheader)
%          
%            Version 4, filter to choose a part of the output folder
%                (e.g. an extension).
%            23-Jun-03, changed: 26-Nov-04
%
% FN_chsoutp
%            asks which plots and files are desired as output of
%            Decomp
%            version 1
%            28-Apr-04, changed: 1-Mar-05
%          
%          
%          storage file:
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%          FN_Decomp
%            Separation into incident and reflected wave
%            version 1
%            1-Feb-05
%          
%          %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%            input:
%
% FN_dosname3
%            generates a DOS name for a file with specified file 
%            name
%            version 3: output file to be chosen, DOS name will
%                    be generated
%            21-Aug-03
%          
%            versie 2: controle of .seq-bestand bestaat
%
% FN_error
%            error handling:
%            11-Jan-05
%          
%          
%          
%          
%          
%
% FN_fileinfb 
%            reads data from binary input file of Int16 numbers
%            version 2, Options in inputdlg
%            31-Jan-05, adapted to Matlab 6.5, 28-Feb-05
%          
%          
%          
%          
%
% FN_fileinfo7
%            reads initial data needed to read an ASCII file
%            Version 7, specify stepsize, English text
%            16-May-02, changed, 28-Feb-05
%          
%          
%          
%          
%
% FN_freqs
%            calculates minimum and maximum frequency between which reflection
%            can be detected with 2 wave gauges.
%            For all different numbers of gauges: default 0 - 2.5 Hz used.
%            version 2: 2 gauges, rest default
%            24-Dec-03
%          
%          
%
% FN_get_x_h2
%            reads positions and waterdepths of still water from a chosen 
%            inputfile
%            version 2: correction blank lines and end of file without carriage
%                      return 
%            June 14, 2004
%          
%          
%
% FN_harmo14
%            calculate harmonics per column of a 2D matrix A
%            version 14: adapted to general desing (names,
%                input parameters, and data selection separated)
%            24-Jan-05, changed: 26-May-05, eps->eps1 
%          
%          
%          
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%          FN_indata7 
%            reads header and data from an ASCII file, using parameters
%            from Fileinfo
%            Version 7: read blocks in subfuncties, maximum number of 
%                points specified (samples * number of channels)
%          14-May-02, adapted Matlab 7, 9-Mar-05, 12-Apr-05, 20-Apr-05
%                        H. Klaasman
%
% FN_indatb5
%            read data fom binary file with integer 16 numbers.
%            version 5: adapted to general setup (selection after
%                read instead of before)
%            23-Nov-04
%          
%          
%          
%
% FN_infile8
%            Ask and open input file, and read data from ASCII file,
%            or open .fig-file to be viewed.
%            Function asked from GUI.
%            version 8: path as output parameter
%            16-Nov-04
%          
%          
%
% FN_inparm2
%            ask input parameters for all scripts
%            version 2, using Options
%            28-Feb-05, change \tmp-files, 4-Apr-05
%            change text: time step in org. data file, 18-Apr-05
%            change: 26-May-05: eps->eps1
%          
%          
%
%   FN_Jonswap
%            calculate freq-range of ideal Jonswap spectrum and compare
%            the result with a freq-range specified by the user
%            version 1: 
%            26-Jan-04
%            a part of this script is copied from bctriton.m created 
%            by Ap van Dongeren and Jonswap.m by Henk Jan Bakkenes, 
%            WL|Delft Hydraulics
%
% FN_lvmplot4
%            Menu to choose a plot format for a data file.
%            This function is not in use in Matlab 7, because the box
%            cannot be closed, Hkl, 25-Jan-05
%            version 4: time in separate vector
%            7-Dec-04
%          
%          
%
% FN_mom6
%            Calculates moments from variance spectrum 
%            version 6: range E>=thresh, matrix
%            16-Oct-03
%          
%          
%          
%          
%
% FN_momts
%            Scale values and calculate statistic moments of time signal
%            version 1
%            11-Jan-05
%          
%          
%          
%          
%
% FN_openuitfile 
%            Ask and open output file of Refreg v15 and above.
%            version 1
%            18-Jul-02, changes: 20-Sep-04
%          
%          
%          
%          
%
% FN_outdata 
%            put input and output of a calculation in an output file.
%          used by: Bekijkb, LvmSP
%            4-Apr-02, changed: 13-Jan-05
%          
%          
%          
%          
%
% FN_outdata2
%            General function to write results to an output file
%            version 1
%            9-Dec-04
%          
%          
%          
%          
%
% FN_outdata3
%            General function to write results of a calculatin of reflection
%            to an output file.
%            version 1
%            12-Jan-05
%          
%          
%          
%
% FN_outparm
%            General function to print input and output parameters
%            version 1
%            31-Mar-05
%          
%          
%          
%          
%
% FN_outparmR1
%            Print input and output parameters of Refreg1
%            version 1
%            25-Jan-05
%          
%          
%          
%          
%
% FN_outspect1 
%            write amplitude spectrum to output file
%            version 2, spectra of more channels
%            14-Dec-04
%          
%          
%          
%          
%
% FN_piekper4
%            Calculate peak period, peak frequency, and range where
%            variance density >= thresh*peakvalue from a variance 
%            spectrum E.
%            version 4: frequency range where E>=thresh*max(E)
%            21-Oct-03
%          
%          
%
% FN_piekper8
%            Calculates peak period and peak frequency from a 
%            variance spectrum E.
%            version 8: frequency range from version 4 as input
%            14-Sep-04
%          
%          
%          
%
% FN_plot25
%            plot data with maximum and minimum, 3 chanels per fig.
%            version 25: Ts in separate vector, tijd selected
%                instead of sample numbers
%            8-Dec-04, 13-Dec-04: axis set off, line 68
%          
%          
%          
%
% FN_plot26
%            plot data in 1 figure
%            version 26: Ts in separate vector, tijd selected
%                instead of sample numbers
%            8-Dec-04
%          
%          
%          
%
% FN_plotD12
%            Make graph of variance spectrum of measurements
%            version 12: 1 signal
%            6-Jan-04, changed 6-Oct-04: no averaging
%          
%          
%          
%          
%
% FN_plotD16
%            Make graph variance spectra of incoming and reflected wave, 
%            either sum over freq. bands or avaraged over spectra of parts 
%            of the time series
%            version 16: some parameters stored in Inparm en Outparm
%            11-Jan-05
%          
%          
%
% FN_plotb2 
%            plot binary data with maximum and minimum, 3 chanels per fig.
%            version 2: changed to general setup
%            used by Bekijkb
%            7-Dec-04
%          
%          
%          
%
% FN_plotdata2
%            Makes a graph of measurements A from file in_name. 
%            version 2
%            2-2-05
%          
%          
%          
%          
%
% FN_plotspect1
%            Plot a spectrum of a matrix.
%            version 1
%            24-1-05
%          
%          
%          
%          
%
% FN_reconst
%            Reconstruction of spectra of incident and reflected waves
%            to time signals.
%            version 1
%            28-Apr-04, names adapted to general setup: 13-Jan-05
%          
%          
%          
%
% FN_red 
%            reduces rows and columns of a matrix to specified rows and
%            columns.
%            16-May-02
%          
%          
%          
%          
%
% FN_reflec3
%            Calculate coeff. of reflection and significant wave heights
%            from var. spectra of incoming and reflected wave
%            version 3: from scaled spectra
%            14-Oct-03, changed 11-Jan-05: _o (outgoing) -> _r (reflected)
%          
%          
%          
%
% FN_refparm5
%            Calculate coef. of reflection of a regular wave
%            version 5: version 2 using time vector instead of sample numbers
%            14-Dec-04
%          
%          
%          
%          
%
% FN_Refreg7
%            Calculation of reflection coefficient of a regular wave at 
%            velocity 0.
%            version 7: adapted to gereral functions reading inparms
%                    and data and writing outparms
%            9-Dec-04
%          
%          
%
% FN_selectR1
%            Select desired part from a matrix containig time registrations
%            version 1
%            19-Jan-05
%          
%          
%          
%          
%
% FN_selectnw2
%            Select desired part from a matrix containig time registrations
%            version 2: time are asked instead of sample numbers
%            31-Jan-05, adaption Matlab 6.5, Hkl, 28-Feb-05
%          
%          
%          
%          
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%          FN_seq5
%            makes a .seq-file to be used by Auke/pc
%            version 5: input parameters adapted to new setup
%            14-Nov-04
%          
%          
%          
%
% FN_spD
%            Calculate spectra and spectral moments of matrix A2 with time 
%            vector Ts
%            version 1
%            26-Jan-05, changed: 26-May-05, eps->eps1
%          
%          
%          
%
% FN_spect4
%            calculate a spectrum of a row vector.
%            version 4, adapted to general functions, A 2D
%            24-Jan-05
%          
%          
%          
%          
%
% FN_sum7
%            Calculates sum over frequency bands of width fres of
%            a variance spectrum.
%            version 7, no bands of length 0
%            June 14, 2004, changed: 26-May-05, eps->eps1 (comment only) 
%          
%          
%          
%
% FN_wavel
%            Calculate wavelength for a given waterdepth and
%            wave period
%            usage: [L] = FN_wavel(h,T)
%            12-Sep-00
%          
%          
%          
%
% FN_waves2 
%            Make a .pcf-file to be used by the Auke program Waves
%            version 2: Inparm changed to general setup
%            23-Nov-04, text changed: 27-Apr-05
%          
%          
%          
%          
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%          FN_wavvars
%            Calculates statistical variables from variance spectrum and moments
%            version 3: range where E<=thresh, f, E, m: vectors
%            21-Oct-03, changed 26-May-05, eps->eps1
%          
%          
%          
%
% Labhelp
%          Show help file
%          31-Jan-05
%          
%          
%          
%          
%          
%
% SFN_zeros3 
%            Find first zero and last zero with equal sign as first
%            of the first column of a matrix
%          version 3: slope begin=slope end
%                    from the end pair of points, choose the value 
%                    closest to the first
%            8-May-03
%          
%
% dispers       dispersion relation
%          author Henk Jan Bakkenes (TU Delft)
%          
%          function [k,c] = dispers(f,h,g)
%          
%          
%          input variables:
%            - f: frequency (single value or column vector)
%
% function K = phase_int(x_g,f,x_h,h)
%          this scipts numerically integrates the wave number which results in 
%          the phase for a wave gauge
%          
%          author: Henk Jan Bakkenes
%          6 February 2002, TU Delft
%          changes: Tuan Thieu Quang, 3-6-04
%                Hetty Klaasman, 1-2-05 waitbar
