
folder E:\Hetty\Matlab\Lab_process\Extra_s\Refreg_ext\Functions\

02-Jun-2005 13:27:23

%
% DISPER   Linear dispersion relation
%                                        (c) Albatros Flow Research, 1999
%          usage:   k  = disper(w,h,g)     or
%          
%                   k  = wave number             (2 * pi / wave length)
%                   w  = wave angular frequency  (2 * pi / wave period)
%                   h  = water depth
%                   g  = gravitational acceleration constant, optional (DEFAULT 9.81)
%
% FN_chsf4
%            Opens a file containing the last file path and asks
%            for a new file to be opened. The new path will be stored.
%            usage: [filename,pathname] = FN_chsf4(filt,boxheader)
%          
%            Version 4, filter added
%            10-Sep-03, changed: 26-Nov-03
%          
%
% FN_chsfile
%            Opens a file containing the last file path and asks
%            for a new file to be opened. The new path will be stored.
%            usage: [filename,pathname] = FN_chsfile(boxheader)
%          
%            Version 3, check path in file .\Tmp\path.txt added
%                Function not renamed because of many calls.
%            23-Jun-03, changed: 26-Nov-03
%
% FN_chsoutf
%            Opens a file containing the last file path and asks
%            for a new output file to be opened. The new path will be stored.
%            usage: [filename,pathname] = FN_choutf(boxheader)
%          
%            Version 3, check path in file .\Tmp\path.txt added
%                Function not renamed because of many calls.
%            23-Jun-03, changed: 26-Nov-03
%
% FN_chsoutf4
%            Opens a file containing the last file path and asks
%            for a new output file to be opened. The new path will be stored.
%            usage: [filename,pathname] = FN_chsoutf4(filt,boxheader)
%          
%            Version 4, filter to choose a part of the output folder
%                (e.g. an extension).
%            23-Jun-03, changed: 26-Nov-04
%
% FN_chsoutp
%            asks which plots and files are desired as output of
%            Decomp
%            version 1
%            28-Apr-04, changed: 1-Mar-05
%          
%          
%          storage file:
%
% FN_error
%            error handling:
%            11-Jan-05
%          
%          
%          
%          
%          
%
% FN_fileinfo7
%            reads initial data needed to read an ASCII file
%            Version 7, specify stepsize, English text
%            16-May-02, changed, 28-Feb-05
%          
%          
%          
%          
%
% FN_filt
%            Berekent glijdend gemiddelde over nf punten van het
%            van een vector.
%            Te gebruiken voor de energie van een spectrum.
%            versie 1
%            16-10-02
%          
%          
%
% FN_filt
%            Berekent glijdend gemiddelde over nf punten van het
%            van een vector.
%            Te gebruiken voor de energie van een spectrum.
%            versie 2: driehoekig filter
%            6-10-02
%          
%            versie 2: driehoekig filter
%
% FN_harmo14
%            calculate harmonics per column of a 2D matrix A
%            version 14: adapted to general desing (names,
%                input parameters, and data selection separated)
%            24-Jan-05, changed: 26-May-05, eps->eps1 
%          
%          
%          
%
% FN_harmo_av
%            calculate scaled values and harmonics per column of a 2D matrix A
%            version av: used by Mov_av
%            5-Apr-05
%          
%          
%          
%                        H. Klaasman
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%          FN_indata7 
%            reads header and data from an ASCII file, using parameters
%            from Fileinfo
%            Version 7: read blocks in subfuncties, maximum number of 
%                points specified (samples * number of channels)
%          14-May-02, adapted Matlab 7, 9-Mar-05, 12-Apr-05, 20-Apr-05
%                        H. Klaasman
%
% FN_infile8
%            Ask and open input file, and read data from ASCII file,
%            or open .fig-file to be viewed.
%            Function asked from GUI.
%            version 8: path as output parameter
%            16-Nov-04
%          
%          
%
% FN_inparm2
%            ask input parameters for all scripts
%            version 2, using Options
%            28-Feb-05, change \tmp-files, 4-Apr-05
%            change text: time step in org. data file, 18-Apr-05
%            change: 26-May-05: eps->eps1
%          
%          
%
%   FN_inparm_t vraagt invoerparameters voor testsig aan de gebruiker.
%            aangepast aan algemene opzet
%            26-4-05
%          
%          
%          
%          
%          
%
% FN_outparmr19
%            General function to print input and output parameters
%            version only used with Refreg19 (only header adapted)
%            5-Apr-05
%          
%          
%          
%          
%
% FN_plot25
%            plot data with maximum and minimum, 3 chanels per fig.
%            version 25: Ts in separate vector, tijd selected
%                instead of sample numbers
%            8-Dec-04, 13-Dec-04: axis set off, line 68
%          
%          
%          
%
% FN_plot27
%            plot data with maximum and minimum, 3 chanels per fig.
%            version 27: number figures from nfig
%            5-Apr-05
%          
%          
%          
%                        H. Klaasman
%
% FN_red 
%            reduces rows and columns of a matrix to specified rows and
%            columns.
%            16-May-02
%          
%          
%          
%          
%
% FN_refparm5
%            Calculate coef. of reflection of a regular wave
%            version 5: version 2 using time vector instead of sample numbers
%            14-Dec-04
%          
%          
%          
%          
%
% FN_Refreg8
%            Calculation of reflection coefficient of a regular wave at 
%            velocity 0.
%            version 8: moving average substracted, changes in k neglected
%            6-Apr-05
%          
%          
%                        H. Klaasman
%
% FN_selectnw2
%            Select desired part from a matrix containig time registrations
%            version 2: time are asked instead of sample numbers
%            31-Jan-05, adaption Matlab 6.5, Hkl, 28-Feb-05
%          
%          
%          
%          
%
% FN_testsig3 maakt een sinusvormig testsignaal voor het bepalen
%          van de terugkaatsingscoefficient, met helling
%            tijd toegevoegd, 26-4-05
%          
%          
%          
%          
%          
%
% FN_uit_t4 zet de invoerparameters en testsig in uitvoerbestand
%            aangepast aan algemene opzet 
%            wegschrijven in twee bestanden om inlezen te vereenvoudigen
%            26-4-05
%          
%          
%          
%          
%
% SFN_zeros3 
%            Find first zero and last zero with equal sign as first
%            of the first column of a matrix
%          version 3: slope begin=slope end
%                    from the end pair of points, choose the value 
%                    closest to the first
%            8-May-03
%          
