
folder Lab_process

16-Jun-2005 09:29:16

%
% Asc2wav
%            Convert ASCII file to binary AUKE file, and generate
%            command file to be used by AUKE program Waves.
%            usage: Asc2wav
%            Parameters are asked from screen
%          
%          version 8: changed to general setup per script
%          31-Jan-05
%
% Bekijkb
%            view data from binary file of 2 bytes integers
%            usage: Bekijkb
%            Parameters are asked from screen
%          
%            version 5: changed to general setup per script
%            11-Jan-05
%          
%
% Decomp
%            Separation into incident and reflected wave
%            input: data file, wave heights measured by 2 or 3 wave 
%                   gauges; more wave gauges allowed, not yet tested
%                   parameter files: 2 files, described below
%            version 15: Jan 25, 2005, input and output in general functions
%                31-Mar-2005, resulting f-range from user input
%                and threshold compared with f-range of ideal Jonswap sp.
%
% Jonswap1  
%            Calculate ideal Jonswap spectrum
%            usage: Jonswap1
%            asked from screen: 
%            Tp: peakperiode
%            thresh: threshold/E_max
%            screen output: f_min, f_max, Hm0, Hm0(f_min:f_max)
%            13-Apr-05
%
% Labmenu
%          Menu to start a script viewing or processing data from 
%            an Ascii file via GUI
%            usage: Labmenu
%          
%          version 2, manuals bundled
%          16-Jun-05
%          
%
% Lvmsp
%            View data from a selected data file using sptool from the
%            signal processing Toolbox.
%            usage: Lvmsp
%            parameters asked from screen
%          
%          version 7: functions changed to general setup
%          1-Feb-05
%
% Lvmview
%          Menu to read and view data from an Ascii file via GUI
%            usage: Lvmview
%          
%          version 12: changed to general setup;
%               get data from workspace via subfuction     
%          1-Mar-05 
%          
%
% Process
%            script to read an ASCII-file and plot the data;
%            your own functions to process the data can be added.
%            usage: process
%            parameters asked from screen
%          
%          11-Jan-05
%          
%
% Pwspect
%            Calculate powerspectrum per wave gauge.
%            usage: Pwspect
%            parameters asked from screen
%          
%            version 3, adapted to general design
%            1-Feb-05
%          
%
% Refreg18
%          Calculate reflection of regular wave at velocity 0, 
%            input via GUI
%            usage: Refreg
%          
%            version 18: some functions replaced by new (general) functions
%            2-Feb-05
%          
%
% Refreg1
%            Calculate reflection coefficient of regular wave, 
%            velocity 0, input via file inparms.m
%          
%            Refreg version 18
%            24-Jan-05
%          
%          
%
% Spect
%          Calculate and plot the amplitude spectrum of 1 channel containing a
%          regular wave (see also: \Lab_Process\Pwspect)
%            usage: Spect
%            parameters asked from screen
%          
%            version 7: input and output in general functions
%          1-Feb-05
%
% Wavel
%            Calculate wavelength from given waterdepth and wave period.
%            usage: changes input values in .m-file, and type Wavel
%            version 1
%          1-May-03	
%            For a given angular frequency w, the wave number k is calculated from
%                    k = DISPER(w,h[,g]), g=9.81,
%            an approximation of the dispersion relation by Gert Klopman
%
% Wavper
%            Calculate wave period for specified waterdepth h,
%            wave height h, and wave steepness s (1 case)
%            usage: Wavper
%            version 1
%          8-March-05	
%          
%          
%
% Wavper2
%            Calculate wave period for specified waterdepth h,
%            wave height H, and wave steepness s (more cases)
%            usage: input in .m-file, name of outputfile asked from screen
%            version 1
%          8-March-05	
%          
%          
%
% inparms2 
%          initialize input parameters of Refreg1a.
%            usage: type parameter values in .m-file
%          
%          version 2
%          19-Jan-04
%          
%          
%
% test1: test scheidend vermogen bichromatische golf
%          maak T groter om de pieken in het spectrum beter te scheiden
%          
%          
%          
%          
%          
%          
